#if !defined(AFX_SFLISTVIEW_H__B65F449B_6ED8_492E_8129_B1C03ECEE034__INCLUDED_)
#define AFX_SFLISTVIEW_H__B65F449B_6ED8_492E_8129_B1C03ECEE034__INCLUDED_

//#if _MSC_VER > 1000
#pragma once
//#endif // _MSC_VER > 1000
// SFListView.h : wb_[ t@C
//

/////////////////////////////////////////////////////////////////////////////
// 萔`

enum	LISTDISPLAY {
	SFLIST_LOG,				// O
	SFLIST_QUE,				// M
	SFLIST_SEND,			// M
	SFLIST_RECV,			// M
	SFLIST_NONE,			// ݒ
};

#define	SFLIST_MAX_LOG				1		// O
#define	SFLIST_MAX_NORMALLOG		34		// ʏ탍O

/////////////////////////////////////////////////////////////////////////////
// \̒`

typedef struct _SFLIST_ITEMINFO {
	DWORD	dwType;
	void	*pData;
} SFLIST_ITEMINFO;


/////////////////////////////////////////////////////////////////////////////
// CSFListView r[

class CSFListView : public CListView
{
protected:
	CSFListView();           // IɎgpveNg RXgN^
	DECLARE_DYNCREATE(CSFListView)

    CImageList m_imglDrives;
    CImageList m_imglSmallLog;

    static const char* m_pTblHeadLog[SFLIST_MAX_LOG];
    static const char* m_pTblHeadComlLog[SFLIST_MAX_NORMALLOG];
    static const char* m_pTblHeadComlLogVal[SFLIST_MAX_NORMALLOG];

	CPtrArray m_cpaSFLIST_ITEMINFO;

	CMonLogApp*	m_pApp;
	int m_iColumCntNow;
	static BOOL m_s_bSortUp;

	int	m_iTblSvColumnLog[SFLIST_MAX_LOG];
	int	m_iTblSvColumnComlLog[SFLIST_MAX_NORMALLOG];
	int m_iColumnModeNow;

    int InitList( LPCTSTR pszPath );
    BOOL AddItem( int nIndex, DWORD dwType, void *pData, int iImage, BOOL bIns = FALSE );
    void FreeItemMemory( void );

	BOOL CreatePopupMenuIndex( CPoint point );

    static int CALLBACK CompareFunc( LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort );

// Agr[g
public:
	CString m_csSelectedItem;

// Iy[V
public:

	void ResetListView( void );
	DWORD GetDllVersion(LPCTSTR lpszDllName);

// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B

	//{{AFX_VIRTUAL(CSFListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // ̃r[`悷邽߂ɃI[o[Ch܂B
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Cve[V
protected:
	virtual ~CSFListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// ꂽbZ[W }bv֐
protected:
	//{{AFX_MSG(CSFListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
    afx_msg void OnGetDispInfo (NMHDR*, LRESULT*);
    afx_msg void OnColumnClick (NMHDR*, LRESULT*);
	afx_msg void OnEditDelete();
	afx_msg void OnToolView();
	afx_msg void OnOpeUpdate();
	//}}AFX_MSG
	afx_msg void OnRclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDBclick(NMHDR* pNMHDR, LRESULT* pResult);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_SFLISTVIEW_H__B65F449B_6ED8_492E_8129_B1C03ECEE034__INCLUDED_)
