// SFListView.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "shlwapi.h"
#include "MonLog.h"

#include "MonLogDoc.h"
#include "SFTreeView.h"
#include "SFListView.h"

#include "SFStatusInfo.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// }N`

#define	PACKVERSION( major, minor ) MAKELONG( minor, major )

/////////////////////////////////////////////////////////////////////////////
// 萔`

// Image indexes
#define SF_ILI_LOG				0
#define SF_ILI_OPEN_FOLDER		1
#define	SF_ILI_CLOSED_FOLDER	2

/////////////////////////////////////////////////////////////////////////////
// CSFListView

IMPLEMENT_DYNCREATE(CSFListView, CListView)

/////////////////////////////////////////////////////////////////////////////
// 

CSFListView::CSFListView()
{
	m_pApp = (CMonLogApp*)AfxGetApp();
}

/////////////////////////////////////////////////////////////////////////////
// 

CSFListView::~CSFListView()
{
}


BEGIN_MESSAGE_MAP(CSFListView, CListView)
	//{{AFX_MSG_MAP(CSFListView)
	ON_WM_CREATE()
	ON_WM_DESTROY()
    ON_NOTIFY_REFLECT (LVN_GETDISPINFO, OnGetDispInfo)
    ON_NOTIFY_REFLECT (LVN_COLUMNCLICK, OnColumnClick)
	ON_COMMAND(ID_EDIT_DELETE, OnEditDelete)
	ON_COMMAND(ID_TOOL_VIEW, OnToolView)
	ON_COMMAND(ID_OPE_UPDATE, OnOpeUpdate)
	//}}AFX_MSG_MAP
	ON_NOTIFY_REFLECT(NM_RCLICK, OnRclick)
	ON_NOTIFY_REFLECT(NM_DBLCLK, OnDBclick)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// 

// Xg O (1)
const char* CSFListView::m_pTblHeadLog[SFLIST_MAX_LOG] = {
	"O"
};

// Xg ʏ탍O (34)
const char* CSFListView::m_pTblHeadComlLog[SFLIST_MAX_NORMALLOG] = {
	"ʐM",		// 0
	"t",			// 1
	"",			// 2
	"ԍ",		// 3
	"AJEg",	// 4
	"",		// 5
	"FAX",			// 6
	"t@C",	// 7
	"y[W",		// 8
	"ʐMx",		// 9
	"ʐM",		// 10
	"i",		// 11
	"",		// 12
	"pTCY",	// 13
	"G[",	// 14
	"w",		// 15
	"D揇",		// 16
	"gC",	// 17
	"eR[hԍ",	// 18
	"pX[h",	// 19
	"Ж",		// 20
	"",		// 21
	"E",		// 22
	"",			// 23
	"X֔ԍ",		// 24
	"Z1",		// 25
	"Z2",		// 26
	"dbԍ",		// 27
	"FAXԍ",		// 28
	"h",			// 29
	"[Ugp",	// 30
	"L^ʒu",		// 31
	"Ǔdbԍ",	// 32
	"WuID"		// 33
};

// Xg ʏ탍O l (34)
const char* CSFListView::m_pTblHeadComlLogVal[SFLIST_MAX_NORMALLOG] = {
	"ʐM",				// "ʐM"		// 0
	"YYYY/MM/DD",			// "t"			// 1
	"HH:MM:SS",				// ""			// 2
	"ԍ",				// "ԍ"		// 3
	"AJEg",			// "AJEg"		// 4
	"XXXXXXXXXXXXXXXX",		// ""			// 5
	"XX-XXXX-XXXX",			// "FAX",			// 6
	"XXXXXXXXXXXXXXXX",		// "t@C"		// 7
	"y[W",				// "y[W"		// 8
	"9600bps(V.17)",		// "ʐMx"		// 9
	"HH:MM:SS",				// "ʐM"		// 10
	"t@C",				// "i"			// 11
	"",				// ""			// 12
	"pTCY",			// "pTCY"		// 13
	"G[",			// "G["		// 14
	"w",				// "w"		// 15
	"D揇",				// "D揇"		// 16
	"gC",			// "gC"	// 17
	"XXXXXXXXXXXXXXXX",		// "eR[hԍ"	// 18
	"XXXXXXXXXXXXXXXX",		// "pX[h"		// 19
	"XXXXXXXXXXXXXXXX",		// "Ж"			// 20
	"XXXXXXXXXXXXXXXX",		// ""			// 21
	"XXXXXXXXXXXXXXXX",		// "E"			// 22
	"XXXXXXXXXXXXXXXX",		// ""			// 23
	"X֔ԍ",				// "X֔ԍ"		// 24
	"XXXXXXXXXXXXXXXX",		// "Z1"			// 25
	"XXXXXXXXXXXXXXXX",		// "Z2"			// 26
	"XX-XXXX-XXXX",			// "dbԍ"		// 27
	"XX-XXXX-XXXX",			// "FAXԍ"		// 28
	"XXXXXX",				// "h"			// 29
	"XXXXXXXXXXXXXXXX",		// "[Ugp"		// 30
	"XXXXXXXXXXXXXXXX",		// "L^ʒu"		// 31
	"XXXXXXXXXXXXXXXX",		// "Ǔdbԍ"	// 32
	"LYYYYMMDDHHMMSSMMM"	// "WuID"		// 33
};

/////////////////////////////////////////////////////////////////////////////
// CSFListView `

void CSFListView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: ̈ʒuɕ`p̃R[hǉĂ
}

BOOL CSFListView::m_s_bSortUp = TRUE;

/////////////////////////////////////////////////////////////////////////////
// CSFListView ff

#ifdef _DEBUG
void CSFListView::AssertValid() const
{
	CListView::AssertValid();
}

void CSFListView::Dump(CDumpContext& dc) const
{
	CListView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CSFListView bZ[W nh

BOOL CSFListView::PreCreateWindow( CREATESTRUCT& cs ) 
{
	if( !CListView::PreCreateWindow( cs ) )
		return FALSE;

	cs.style &= ~LVS_TYPEMASK;
	cs.style |= LVS_REPORT;
 
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// 쐬^\z

int CSFListView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if( CListView::OnCreate( lpCreateStruct ) == -1 )
		return -1;

	int	i;
	
	m_imglDrives.Create( IDB_TREEIMAGES, 16, 1, (COLORREF)0xFFFFFF );
	m_imglSmallLog.Create( IDB_SMALLLOG, 16, 1, (COLORREF)0xFFFFFF );

	GetListCtrl().SetImageList( &m_imglDrives, LVSIL_SMALL );
	for( i = 0 ; i < SFLIST_MAX_LOG ; i++ ) {
		GetListCtrl().InsertColumn( i, m_pTblHeadLog[i], LVCFMT_LEFT, 242 );
	}
	m_iColumCntNow = SFLIST_MAX_LOG;
	m_s_bSortUp = TRUE;	// 

	AddItem( 0, SFLIST_LOG, "M", SF_ILI_LOG );
	AddItem( 1, SFLIST_LOG, "M", SF_ILI_LOG );
	AddItem( 2, SFLIST_LOG, "M", SF_ILI_LOG );

	m_iTblSvColumnLog[0] = 242;

	TEXTMETRIC	tm;
	CDC*	pCdcThis = GetDC();
	pCdcThis->GetTextMetrics( &tm );
	ReleaseDC( pCdcThis );

	for( i = 0 ; i < SFLIST_MAX_NORMALLOG ;  i++ ) {
		m_iTblSvColumnComlLog[i] = lstrlen( m_pTblHeadComlLogVal[i] ) * tm.tmAveCharWidth;
	}

	m_iColumnModeNow = SFLIST_LOG;

	// ȉ̈sLɂ΃Xgr[SsI[hɂȂ܂B
	if( GetDllVersion( _T("comctl32.dll") ) >= PACKVERSION( 4,71 ) ) {
		GetListCtrl().SetExtendedStyle( LVS_EX_FULLROWSELECT );
	}
	
	return 0;
}

/////////////////////////////////////////////////////////////////////////////
// 

DWORD CSFListView::GetDllVersion(LPCTSTR lpszDllName)
{
	HINSTANCE	hInstDll;
	DWORD	dwVersion = 0;

	hInstDll = LoadLibrary( lpszDllName );
	
	if( hInstDll ) {

		DLLGETVERSIONPROC	pDllGetVersion;

		pDllGetVersion = (DLLGETVERSIONPROC)GetProcAddress( hInstDll, "DllGetVersion" );

		// Because some DLLs may not implement this function, you
		// must test for it explicitly. Depending on the particular 
		// DLL, the lack of a DllGetVersion function may
		// be a useful indicator of the version.
		// 
		if( pDllGetVersion ) {
			DLLVERSIONINFO	dvi;
			HRESULT	hr;

			ZeroMemory( &dvi, sizeof(dvi) );
			dvi.cbSize = sizeof(dvi);

			hr = (*pDllGetVersion)( &dvi );

			if( SUCCEEDED( hr ) ) {
				dwVersion = PACKVERSION( dvi.dwMajorVersion, dvi.dwMinorVersion );
			}
		}
        
		FreeLibrary( hInstDll );
	}

	return dwVersion;
}


/////////////////////////////////////////////////////////////////////////////
// I

void CSFListView::OnDestroy() 
{
	FreeItemMemory();

	CListView::OnDestroy();
}

/////////////////////////////////////////////////////////////////////////////
// ĕ`

void CSFListView::OnUpdate( CView* pSender, LPARAM lHint, CObject* pHint )
{
	if( lHint != NULL ) {
		SetCursor( AfxGetApp()->LoadStandardCursor( IDC_WAIT ) );
		GetListCtrl().ShowWindow( SW_HIDE );
		InitList( (LPCTSTR)lHint );
		GetListCtrl().ShowWindow( SW_SHOW );
		SetCursor( AfxGetApp()->LoadStandardCursor( IDC_ARROW ) );
		return;
	}

	CListView::OnUpdate( pSender, lHint, pHint );
}

/////////////////////////////////////////////////////////////////////////////
// \Zbg

void CSFListView::ResetListView( void )
{
	SetCursor( AfxGetApp()->LoadStandardCursor( IDC_WAIT ) );
	GetListCtrl().ShowWindow( SW_HIDE );
	FreeItemMemory();
	GetListCtrl().ShowWindow( SW_SHOW );
	SetCursor( AfxGetApp()->LoadStandardCursor( IDC_ARROW ) );
	return;
}

/////////////////////////////////////////////////////////////////////////////
// ݂̕\l

void CSFListView::OnGetDispInfo( NMHDR* pnmh, LRESULT* pResult )
{
	LV_DISPINFO* plvdi = (LV_DISPINFO*)pnmh;

	CMonLogDoc* pDoc = (CMonLogDoc *)GetDocument();
	if( !pDoc ) {
		return;
	}
	{
		BOOL	bOK = FALSE;

		if( pDoc->m_dwCurList != SFLIST_NONE ) {
			if( plvdi->item.mask & LVIF_TEXT ) {
				SFLIST_ITEMINFO	*pItem = (SFLIST_ITEMINFO*)plvdi->item.lParam;
				if( pItem ) {
					if( pItem->dwType == pDoc->m_dwCurList ) {
						bOK = TRUE;
					}
				}
			}
		}
		if( !bOK ) {
			return;
		}
	}

	if( plvdi->item.mask & LVIF_TEXT ) {
		SFLIST_ITEMINFO	*pItem = (SFLIST_ITEMINFO*)plvdi->item.lParam;

		RIDX_DATINFO	*pIdxRec;

		switch( pItem->dwType ) {
		case	SFLIST_LOG:		// O
				// O
			if( plvdi->item.iSubItem ==  0 ) {
				m_iTblSvColumnLog[0] = GetListCtrl().GetColumnWidth( 0 );
				lstrcpy( plvdi->item.pszText, (char *)pItem->pData );
			}
			break;

		case	SFLIST_QUE:			// M
		case	SFLIST_SEND:		// M
		case	SFLIST_RECV:		// M

			if( pItem->dwType == SFLIST_QUE || pItem->dwType == SFLIST_SEND || pItem->dwType == SFLIST_RECV ) {

				if( plvdi->item.iSubItem < SFLIST_MAX_NORMALLOG ) {
					m_iTblSvColumnComlLog[plvdi->item.iSubItem] = GetListCtrl().GetColumnWidth( plvdi->item.iSubItem );
				}
				else {
					break;
				}
			}

			pIdxRec = (RIDX_DATINFO *)pItem->pData;

			switch( plvdi->item.iSubItem ) {
			case	0:		// ʐM
				if( pIdxRec->pReturn && pIdxRec->iReturn ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pReturn );
				}
				break;
			case	1:		// t
				if( pIdxRec->pDTime && pIdxRec->iDTime ) {
					char	szDate[11];	//	YYYY/MM/DD

					szDate[0] = pIdxRec->pDTime[0];
					szDate[1] = pIdxRec->pDTime[1];
					szDate[2] = pIdxRec->pDTime[2];
					szDate[3] = pIdxRec->pDTime[3];
					szDate[4] = '/';
					szDate[5] = pIdxRec->pDTime[4];
					szDate[6] = pIdxRec->pDTime[5];
					szDate[7] = '/';
					szDate[8] = pIdxRec->pDTime[6];
					szDate[9] = pIdxRec->pDTime[7];
					szDate[10] = 0x00;

					lstrcpy( plvdi->item.pszText, (LPCTSTR)szDate );
				}
				break;
			case	2:		// 
				if( pIdxRec->pDTime && pIdxRec->iDTime ) {
					char	szTime[9];	//	HH:MM:SS

					szTime[0] = pIdxRec->pDTime[8];
					szTime[1] = pIdxRec->pDTime[9];
					szTime[2] = ':';
					szTime[3] = pIdxRec->pDTime[10];
					szTime[4] = pIdxRec->pDTime[11];
					szTime[5] = ':';
					szTime[6] = pIdxRec->pDTime[12];
					szTime[7] = pIdxRec->pDTime[13];
					szTime[8] = 0x00;

					lstrcpy( plvdi->item.pszText, (LPCTSTR)szTime );
				}
				break;
			case	3:		// ԍ
				if( pIdxRec->pLine && pIdxRec->iLine ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pLine );
				}
				break;
			case	4:		// AJEg
				if( pIdxRec->pAcount && pIdxRec->iAcount ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pAcount );
				}
				break;
			case	5:		// 
				if( pIdxRec->pSendName && pIdxRec->iSendName ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pSendName );
				}
				break;
			case	6:		// FAX
				if( pIdxRec->pTelNumber && pIdxRec->iTelNumber ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pTelNumber );
				}
				break;
			case	7:		// t@C
				if( pIdxRec->pFileName && pIdxRec->iFileName ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pFileName );
				}
				break;
			case	8:		// y[W
				if( pIdxRec->pPage && pIdxRec->iPage ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pPage );
				}
				break;
			case	9:		// ʐMx
				if( pIdxRec->pTerm && pIdxRec->iTerm >= 2 ) {
					char	szSpeed[32];

					switch( pIdxRec->pTerm[1] ) {
					case	'2':	lstrcpy( szSpeed, "2400bps" );	break;
					case	'4':	lstrcpy( szSpeed, "4800bps" );	break;
					case	'7':	lstrcpy( szSpeed, "7200bps(V.29)" );	break;
					case	'9':	lstrcpy( szSpeed, "9600bps(V.29)" );	break;
					case	'A':	lstrcpy( szSpeed, "7200bps(V.17)" );	break;
					case	'B':	lstrcpy( szSpeed, "9600bps(V.17)" );	break;
					case	'C':	lstrcpy( szSpeed, "12000bps" );	break;
					case	'E':	lstrcpy( szSpeed, "14400bps" );	break;
					case	'G':	lstrcpy( szSpeed, "16800bps" );	break;
					case	'H':	lstrcpy( szSpeed, "19200bps" );	break;
					case	'I':	lstrcpy( szSpeed, "21600bps" );	break;
					case	'J':	lstrcpy( szSpeed, "24000bps" );	break;
					case	'K':	lstrcpy( szSpeed, "26400bps" );	break;
					case	'L':	lstrcpy( szSpeed, "28800bps" );	break;
					case	'M':	lstrcpy( szSpeed, "31200bps" );	break;
					case	'N':	lstrcpy( szSpeed, "33600bps" );	break;
					default:
						lstrcpy( szSpeed, "" );
						break;
					}
					lstrcpy( plvdi->item.pszText, (LPCTSTR)szSpeed );
				}
				break;
			case	10:		// ʐM
				if( pIdxRec->pTotalTime && pIdxRec->iTotalTime ) {
					char	szTime[9];	//	HH:MM:SS

					szTime[0] = pIdxRec->pTotalTime[8];
					szTime[1] = pIdxRec->pTotalTime[9];
					szTime[2] = ':';
					szTime[3] = pIdxRec->pTotalTime[10];
					szTime[4] = pIdxRec->pTotalTime[11];
					szTime[5] = ':';
					szTime[6] = pIdxRec->pTotalTime[12];
					szTime[7] = pIdxRec->pTotalTime[13];
					szTime[8] = 0x00;

					lstrcpy( plvdi->item.pszText, (LPCTSTR)szTime );
				}
				break;
			case	11:		// i
				if( pIdxRec->pTerm && pIdxRec->iTerm >= 3 ) {
					char	szReso[32];

					switch( pIdxRec->pTerm[2] ) {
					case	'N':	lstrcpy( szReso, "m[}" );	break;
					case	'F':	lstrcpy( szReso, "t@C" );	break;
					case	'S':	lstrcpy( szReso, "X[p[t@C" );	break;
					default:
						lstrcpy( szReso, "" );
						break;
					}
					lstrcpy( plvdi->item.pszText, (LPCTSTR)szReso );
				}
				break;
			case	12:		// 
				if( pIdxRec->pTerm && pIdxRec->iTerm >= 4 ) {
					char	szComp[32];

					switch( pIdxRec->pTerm[3] ) {
					case	'M':	lstrcpy( szComp, "MMR" );	break;
					case	'R':	lstrcpy( szComp, "MR" );	break;
					case	'H':	lstrcpy( szComp, "MH" );	break;
					default:
						lstrcpy( szComp, "" );
						break;
					}
					lstrcpy( plvdi->item.pszText, (LPCTSTR)szComp );
				}
				break;
			case	13:		// pTCY
				if( pIdxRec->pTerm && pIdxRec->iTerm >= 5 ) {
					char	szPaper[32];

					switch( pIdxRec->pTerm[4] ) {
					case	'A':	lstrcpy( szPaper, "A4" );	break;
					case	'B':	lstrcpy( szPaper, "B4" );	break;
					case	'3':	lstrcpy( szPaper, "A3" );	break;
					default:
						lstrcpy( szPaper, "" );
						break;
					}
					lstrcpy( plvdi->item.pszText, (LPCTSTR)szPaper );
				}
				break;
			case	14:		// G[
				if( pIdxRec->pTerm && pIdxRec->iTerm >= 8 ) {
					char	szEcm[32];

					switch( pIdxRec->pTerm[7] ) {
					case	'D':	lstrcpy( szEcm, "Ȃ" );	break;
					case	'E':
					case	'S':
						lstrcpy( szEcm, "ECM" );
						break;
					default:
						lstrcpy( szEcm, "" );
						break;
					}
					lstrcpy( plvdi->item.pszText, (LPCTSTR)szEcm );
				}
				break;
			case	15:		// w
				if( pIdxRec->pTerm && lstrlen( pIdxRec->pTerm ) >= 12 ) {
					if( pIdxRec->pTerm[10] != '1'  ) {
						lstrcpy( plvdi->item.pszText, (LPCTSTR)"Ȃ" );
					}
					else {
						lstrcpy( plvdi->item.pszText, "" );
						switch( pIdxRec->pTerm[11] ) {
						case	'0':
							lstrcpy( plvdi->item.pszText, "P" );
							break;
						case	'1':
							lstrcpy( plvdi->item.pszText, "Q" );
							break;
						case	'2':
							lstrcpy( plvdi->item.pszText, "R" );
							break;
						case	'3':
							lstrcpy( plvdi->item.pszText, "S" );
							break;
						}
					}
				}
				break;
			case	16:		// D揇
				if( pIdxRec->pTerm && lstrlen( pIdxRec->pTerm ) >= 13 ) {
					char	szPri[8];

					szPri[0] = pIdxRec->pTerm[12];
					szPri[1] = 0x00;

					lstrcpy( plvdi->item.pszText, (LPCTSTR)szPri );
				}
				break;
			case	17:		// gC
				if( pIdxRec->pRetry && pIdxRec->iRetry ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pRetry );
				}
				break;
			case	18:		// eR[hԍ
				if( pIdxRec->pFCode && pIdxRec->iFCode ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pFCode );
				}
				break;
			case	19:		// pX[h
				if( pIdxRec->pPassword && pIdxRec->iPassword ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pPassword );
				}
				break;
			case	20:		// Ж
				if( pIdxRec->pCompany && pIdxRec->iCompany ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pCompany );
				}
				break;
			case	21:		// 
				if( pIdxRec->pDivision && pIdxRec->iDivision ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pDivision );
				}
				break;
			case	22:		// E
				if( pIdxRec->pPosition && pIdxRec->iPosition ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pPosition );
				}
				break;
			case	23:		// 
				if( pIdxRec->pName && pIdxRec->iName ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pName );
				}
				break;
			case	24:		// X֔ԍ
				if( pIdxRec->pZipCode && pIdxRec->iZipCode ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pZipCode );
				}
				break;
			case	25:		// Z1
				if( pIdxRec->pAddress1 && pIdxRec->iAddress1 ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pAddress1 );
				}
				break;
			case	26:		// Z2
				if( pIdxRec->pAddress2 && pIdxRec->iAddress2 ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pAddress2 );
				}
				break;
			case	27:		// dbԍ
				if( pIdxRec->pTelephone && pIdxRec->iTelephone ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pTelephone );
				}
				break;
			case	28:		// FAXԍ
				if( pIdxRec->pFax && pIdxRec->iFax ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pFax );
				}
				break;
			case	29:		// h
				if( pIdxRec->pTitle && pIdxRec->iTitle ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pTitle );
				}
				break;
			case	30:		// [Ugp
				if( pIdxRec->pFreeArea && pIdxRec->iFreeArea ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pFreeArea );
				}
				break;
			case	31:		// L^ʒu
				if( pIdxRec->pUserInfo && pIdxRec->iUserInfo ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pUserInfo );
				}
				break;
			case	32:		// Ǔdbԍ
				if( pIdxRec->pUserID && pIdxRec->iUserID ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pUserID );
				}
				break;
			case	33:		// WuID
				if( pIdxRec->pJobID && pIdxRec->iJobID ) {
					lstrcpy( plvdi->item.pszText, (LPCTSTR)pIdxRec->pJobID );
				}
				break;
			}
		}
	}
}

/////////////////////////////////////////////////////////////////////////////
// JNbNꂽƂɌĂ΂

void CSFListView::OnColumnClick( NMHDR* pnmh, LRESULT* pResult )
{
    NM_LISTVIEW*	pnmlv = (NM_LISTVIEW*)pnmh;
    GetListCtrl().SortItems( CompareFunc, pnmlv->iSubItem );

	if( m_s_bSortUp ) {
		m_s_bSortUp = FALSE;	// ~
	}
	else {
		m_s_bSortUp = TRUE;		// 
	}
}

/////////////////////////////////////////////////////////////////////////////
// ACe\[g鎞̃R[obN֐

int CALLBACK CSFListView::CompareFunc( LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort )
{
	SFLIST_ITEMINFO	*pItem1;
	SFLIST_ITEMINFO	*pItem2;
	int	nResult = 0;

	char	*pDmy = "";
	char	*pCmp1 = pDmy;
	char	*pCmp2 = pDmy;

	RIDX_DATINFO	*pIdxRec1;
	RIDX_DATINFO	*pIdxRec2;

	if( !lParam1 || !lParam2 ) {
		return nResult;
	}

	if( m_s_bSortUp ) {
		pItem1 = (SFLIST_ITEMINFO *)lParam1;
		pItem2 = (SFLIST_ITEMINFO *)lParam2;
	}
	else {
		pItem2 = (SFLIST_ITEMINFO *)lParam1;
		pItem1 = (SFLIST_ITEMINFO *)lParam2;
	}
	if( pItem1->dwType == SFLIST_LOG ) {
		return nResult;
	}

	switch( pItem1->dwType ) {

	case	SFLIST_QUE:			// M
	case	SFLIST_SEND:		// M
	case	SFLIST_RECV:		// M
		break;
	default:
		return nResult;
	}

	pIdxRec1 = (RIDX_DATINFO *)pItem1->pData;
	pIdxRec2 = (RIDX_DATINFO *)pItem2->pData;


	switch( lParamSort ) {
	case	0:		// ʐM
		if( pIdxRec1->pReturn && pIdxRec1->iReturn ) {
			pCmp1 = pIdxRec1->pReturn;
		}
		if( pIdxRec2->pReturn && pIdxRec2->iReturn ) {
			pCmp2 = pIdxRec2->pReturn;
		}
		break;
	case	1:		// t
	case	2:		// 
		if( pIdxRec1->pDTime && pIdxRec1->iDTime ) {
			pCmp1 = pIdxRec1->pDTime;
		}
		if( pIdxRec2->pDTime && pIdxRec2->iDTime ) {
			pCmp2 = pIdxRec2->pDTime;
		}
		break;
	case	3:		// ԍ
		if( pIdxRec1->pLine && pIdxRec1->iLine ) {
			pCmp1 = pIdxRec1->pLine;
		}
		if( pIdxRec2->pLine && pIdxRec2->iLine ) {
			pCmp2 = pIdxRec2->pLine;
		}
		break;
	case	4:		// AJEg
		if( pIdxRec1->pAcount && pIdxRec1->iAcount ) {
			pCmp1 = pIdxRec1->pAcount;
		}
		if( pIdxRec2->pAcount && pIdxRec2->iAcount ) {
			pCmp2 = pIdxRec2->pAcount;
		}
		break;
	case	5:		// 
		if( pIdxRec1->pSendName && pIdxRec1->iSendName ) {
			pCmp1 = pIdxRec1->pSendName;
		}
		if( pIdxRec2->pSendName && pIdxRec2->iSendName ) {
			pCmp2 = pIdxRec2->pSendName;
		}
		break;
	case	6:		// FAX
		if( pIdxRec1->pTelNumber && pIdxRec1->iTelNumber ) {
			pCmp1 = pIdxRec1->pTelNumber;
		}
		if( pIdxRec2->pTelNumber && pIdxRec2->iTelNumber ) {
			pCmp2 = pIdxRec2->pTelNumber;
		}
		break;
	case	7:		// t@C
		if( pIdxRec1->pFileName && pIdxRec1->iFileName ) {
			pCmp1 = pIdxRec1->pFileName;
		}
		if( pIdxRec2->pFileName && pIdxRec2->iFileName ) {
			pCmp2 = pIdxRec2->pFileName;
		}
		break;
	case	8:		// y[W
		if( pIdxRec1->pPage && pIdxRec1->iPage ) {
			pCmp1 = pIdxRec1->pPage;
		}
		if( pIdxRec2->pPage && pIdxRec2->iPage ) {
			pCmp2 = pIdxRec2->pPage;
		}
		break;
	case	9:		// ʐMx
		if( pIdxRec1->pTerm && pIdxRec1->iTerm >= 2 ) {
			pCmp1 = &pIdxRec1->pTerm[1];
		}
		if( pIdxRec2->pTerm && pIdxRec2->iTerm >= 2 ) {
			pCmp2 = &pIdxRec2->pTerm[1];
		}
		break;
	case	10:		// ʐM
		if( pIdxRec1->pTotalTime && pIdxRec1->iTotalTime ) {
			pCmp1 = pIdxRec1->pTotalTime;
		}
		if( pIdxRec2->pTotalTime && pIdxRec2->iTotalTime ) {
			pCmp2 = pIdxRec2->pTotalTime;
		}
		break;
	case	11:		// i
		if( pIdxRec1->pTerm && pIdxRec1->iTerm >= 3 ) {
			pCmp1 = &pIdxRec1->pTerm[2];
		}
		if( pIdxRec2->pTerm && pIdxRec2->iTerm >= 3 ) {
			pCmp2 = &pIdxRec2->pTerm[2];
		}
		break;
	case	12:		// 
		if( pIdxRec1->pTerm && pIdxRec1->iTerm >= 4 ) {
			pCmp1 = &pIdxRec1->pTerm[3];
		}
		if( pIdxRec2->pTerm && pIdxRec2->iTerm >= 4 ) {
			pCmp2 = &pIdxRec2->pTerm[3];
		}
		break;
	case	13:		// pTCY
		if( pIdxRec1->pTerm && pIdxRec1->iTerm >= 5 ) {
			pCmp1 = &pIdxRec1->pTerm[4];
		}
		if( pIdxRec2->pTerm && pIdxRec2->iTerm >= 5 ) {
			pCmp2 = &pIdxRec2->pTerm[4];
		}
		break;
	case	14:		// G[
		if( pIdxRec1->pTerm && pIdxRec1->iTerm >= 8 ) {
			pCmp1 = &pIdxRec1->pTerm[7];
		}
		if( pIdxRec2->pTerm && pIdxRec2->iTerm >= 8 ) {
			pCmp2 = &pIdxRec2->pTerm[7];
		}
		break;
	case	15:		// w
		if( pIdxRec1->pTerm && lstrlen( pIdxRec1->pTerm ) >= 12 ) {
			pCmp1 = &pIdxRec1->pTerm[11];
		}
		if( pIdxRec2->pTerm && lstrlen( pIdxRec2->pTerm ) >= 12 ) {
			pCmp2 = &pIdxRec2->pTerm[11];
		}
		break;
	case	16:		// D揇
		if( pIdxRec1->pTerm && lstrlen( pIdxRec1->pTerm ) >= 13 ) {
			pCmp1 = &pIdxRec1->pTerm[12];
		}
		if( pIdxRec2->pTerm && lstrlen( pIdxRec2->pTerm ) >= 13 ) {
			pCmp2 = &pIdxRec2->pTerm[12];
		}
		break;
	case	17:		// gC
		if( pIdxRec1->pRetry && pIdxRec1->iRetry ) {
			pCmp1 = pIdxRec1->pRetry;
		}
		if( pIdxRec2->pRetry && pIdxRec2->iRetry ) {
			pCmp2 = pIdxRec2->pRetry;
		}
		break;
	case	18:		// eR[hԍ
		if( pIdxRec1->pFCode && pIdxRec1->iFCode ) {
			pCmp1 = pIdxRec1->pFCode;
		}
		if( pIdxRec2->pFCode && pIdxRec2->iFCode ) {
			pCmp2 = pIdxRec2->pFCode;
		}
		break;
	case	19:		// pX[h
		if( pIdxRec1->pPassword && pIdxRec1->iPassword ) {
			pCmp1 = pIdxRec1->pPassword;
		}
		if( pIdxRec2->pPassword && pIdxRec2->iPassword ) {
			pCmp2 = pIdxRec2->pPassword;
		}
		break;
	case	20:		// Ж
		if( pIdxRec1->pCompany && pIdxRec1->iCompany ) {
			pCmp1 = pIdxRec1->pCompany;
		}
		if( pIdxRec2->pCompany && pIdxRec2->iCompany ) {
			pCmp2 = pIdxRec2->pCompany;
		}
		break;
	case	21:		// 
		if( pIdxRec1->pDivision && pIdxRec1->iDivision ) {
			pCmp1 = pIdxRec1->pDivision;
		}
		if( pIdxRec2->pDivision && pIdxRec2->iDivision ) {
			pCmp2 = pIdxRec2->pDivision;
		}
		break;
	case	22:		// E
		if( pIdxRec1->pPosition && pIdxRec1->iPosition ) {
			pCmp1 = pIdxRec1->pPosition;
		}
		if( pIdxRec2->pPosition && pIdxRec2->iPosition ) {
			pCmp2 = pIdxRec2->pPosition;
		}
		break;
	case	23:		// 
		if( pIdxRec1->pName && pIdxRec1->iName ) {
			pCmp1 = pIdxRec1->pName;
		}
		if( pIdxRec2->pName && pIdxRec2->iName ) {
			pCmp2 = pIdxRec2->pName;
		}
		break;
	case	24:		// X֔ԍ
		if( pIdxRec1->pZipCode && pIdxRec1->iZipCode ) {
			pCmp1 = pIdxRec1->pZipCode;
		}
		if( pIdxRec2->pZipCode && pIdxRec2->iZipCode ) {
			pCmp2 = pIdxRec2->pZipCode;
		}
		break;
	case	25:		// Z1
		if( pIdxRec1->pAddress1 && pIdxRec1->iAddress1 ) {
			pCmp1 = pIdxRec1->pAddress1;
		}
		if( pIdxRec2->pAddress1 && pIdxRec2->iAddress1 ) {
			pCmp2 = pIdxRec2->pAddress1;
		}
		break;
	case	26:		// Z2
		if( pIdxRec1->pAddress2 && pIdxRec1->iAddress2 ) {
			pCmp1 = pIdxRec1->pAddress2;
		}
		if( pIdxRec2->pAddress2 && pIdxRec2->iAddress2 ) {
			pCmp2 = pIdxRec2->pAddress2;
		}
		break;
	case	27:		// dbԍ
		if( pIdxRec1->pTelephone && pIdxRec1->iTelephone ) {
			pCmp1 = pIdxRec1->pTelephone;
		}
		if( pIdxRec2->pTelephone && pIdxRec2->iTelephone ) {
			pCmp2 = pIdxRec2->pTelephone;
		}
		break;
	case	28:		// FAXԍ
		if( pIdxRec1->pFax && pIdxRec1->iFax ) {
			pCmp1 = pIdxRec1->pFax;
		}
		if( pIdxRec2->pFax && pIdxRec2->iFax ) {
			pCmp2 = pIdxRec2->pFax;
		}
		break;
	case	29:		// h
		if( pIdxRec1->pTitle && pIdxRec1->iTitle ) {
			pCmp1 = pIdxRec1->pTitle;
		}
		if( pIdxRec2->pTitle && pIdxRec2->iTitle ) {
			pCmp2 = pIdxRec2->pTitle;
		}
		break;
	case	30:		// [Ugp
		if( pIdxRec1->pFreeArea && pIdxRec1->iFreeArea ) {
			pCmp1 = pIdxRec1->pFreeArea;
		}
		if( pIdxRec2->pFreeArea && pIdxRec2->iFreeArea ) {
			pCmp2 = pIdxRec2->pFreeArea;
		}
		break;
	case	31:		// L^ʒu
		if( pIdxRec1->pUserInfo && pIdxRec1->iUserInfo ) {
			pCmp1 = pIdxRec1->pUserInfo;
		}
		if( pIdxRec2->pUserInfo && pIdxRec2->iUserInfo ) {
			pCmp2 = pIdxRec2->pUserInfo;
		}
		break;
	case	32:		// Ǔdbԍ
		if( pIdxRec1->pUserID && pIdxRec1->iUserID ) {
			pCmp1 = pIdxRec1->pUserID;
		}
		if( pIdxRec2->pUserID && pIdxRec2->iUserID ) {
			pCmp2 = pIdxRec2->pUserID;
		}
		break;
	case	33:		// WuID
		if( pIdxRec1->pJobID && pIdxRec1->iJobID ) {
			pCmp1 = pIdxRec1->pJobID;
		}
		if( pIdxRec2->pJobID && pIdxRec2->iJobID ) {
			pCmp2 = pIdxRec2->pJobID;
		}
		break;
	}

	nResult = lstrcmp( pCmp1, pCmp2 );

    return nResult;
}

/////////////////////////////////////////////////////////////////////////////
// Xg`悷

int CSFListView::InitList( LPCTSTR pszPath )
{
	CString	strPath = pszPath;
	int	nCount = 0;
	int	i;

	switch( m_iColumnModeNow ) {
	case	SFLIST_LOG:			// O
		for( i = 0 ; i < SFLIST_MAX_LOG ; i++ ) {
			m_iTblSvColumnLog[i] = GetListCtrl().GetColumnWidth( i );
		}
		break;

	case	SFLIST_QUE:			// M
	case	SFLIST_SEND:		// M
	case	SFLIST_RECV:		// M
		for( i = 0 ; i < SFLIST_MAX_NORMALLOG ; i++ ) {
			m_iTblSvColumnComlLog[i] = GetListCtrl().GetColumnWidth( i );
		}
		break;
	}

	for( i = 0 ; i < m_iColumCntNow; i++ ) {
		if( !GetListCtrl().DeleteColumn( 0 ) ) {
			break;
		}
	}

	if( strPath == "O" ) {
		// uOv̏ꍇ
		GetListCtrl().SetImageList( &m_imglDrives, LVSIL_SMALL );
		for( i = 0 ; i < SFLIST_MAX_LOG ; i++ ) {
			GetListCtrl().InsertColumn( i, m_pTblHeadLog[i], LVCFMT_LEFT, m_iTblSvColumnLog[i] );
		}
		m_iColumCntNow = SFLIST_MAX_LOG;
		m_iColumnModeNow = SFLIST_LOG;

		AddItem( nCount, SFLIST_LOG, "M", SF_ILI_LOG );
		nCount++;
		AddItem( nCount, SFLIST_LOG, "M", SF_ILI_LOG );
		nCount++;
		AddItem( nCount, SFLIST_LOG, "M", SF_ILI_LOG );
		nCount++;

		CSFStatusInfo::numTextOut( 0 );

		return nCount;
	}

	else if( ( strPath == "O\\M" ) ||
			// uO\Mv̏ꍇ
			( strPath == "O\\M" ) ||
			// uO\Mv̏ꍇ
			( strPath == "O\\M" ) ) {
			// uO\Mv̏ꍇ

		RIDX_INFO	*pInfo;
		BOOL	bChk;
		int	iSet;

		if( strPath == "O\\M" ) {

			pInfo = &(m_pApp->m_infoQue);
			bChk = m_pApp->m_bQue;
			iSet = SFLIST_QUE;
		}
		else if( strPath == "O\\M" ) {

			pInfo = &(m_pApp->m_infoSend);
			bChk = m_pApp->m_bSend;
			iSet = SFLIST_SEND;
		}
		else if( strPath == "O\\M" ) {
			pInfo = &(m_pApp->m_infoRecv);
			bChk = m_pApp->m_bRecv;
			iSet = SFLIST_RECV;
		}

		if( ( strPath == "O\\M" ) || ( strPath == "O\\M" ) || ( strPath == "O\\M" ) ) {

			GetListCtrl().SetImageList( &m_imglSmallLog, LVSIL_SMALL );
			for( i = 0 ; i < SFLIST_MAX_NORMALLOG ; i++ ) {
				GetListCtrl().InsertColumn( i, m_pTblHeadComlLog[i], LVCFMT_LEFT, m_iTblSvColumnComlLog[i] );
			}
			m_iColumCntNow = SFLIST_MAX_NORMALLOG;
			m_iColumnModeNow = iSet;
		}

		if( bChk ) {
			if( pInfo->iDataInfo ) {

				int	iCnt;
				RIDX_DATINFO	*pIdxRec;

				for( iCnt = 0  ; iCnt < pInfo->iDataInfo ; iCnt++ ) {
					if( ( pIdxRec =  (RIDX_DATINFO *)pInfo->pDataArray->GetAt( iCnt ) ) != (RIDX_DATINFO *)NULL ) {

						int	iImage = 0;
						int	iRet = 0;

						if( pIdxRec->pReturn && pIdxRec->iReturn ) {
							iRet = atoi( pIdxRec->pReturn );
						}

						if( pIdxRec->pSFI_Ext && pIdxRec->iSFI_Ext ) {
							switch( pIdxRec->pSFI_Ext[0] ) {
							case	'R':
								iImage = 1;
								if( iRet ) {
									iImage++;
								}
								break;
							case	'S':
								iImage = 5;
								if( iRet ) {
									iImage++;
								}
								break;
							case	'Q':
								iImage = 7;
								break;
							case	'E':
								iImage = 8;
								break;
							}
						}
						AddItem( nCount, iSet, (void *)pIdxRec, iImage, TRUE );
						nCount++;
					}
				}
			}
		}

		CSFStatusInfo::numTextOut( nCount );

		return nCount;
	}

	return nCount;
}

/////////////////////////////////////////////////////////////////////////////
// XgɃACeǉ

BOOL CSFListView::AddItem( int nIndex, DWORD dwType, void *pData, int iImage, BOOL bIns )
{
	SFLIST_ITEMINFO	*pItem;

	try {
		pItem = new SFLIST_ITEMINFO;
	}
	catch( CMemoryException* e ) {
		e->Delete();
		return FALSE;
	}

	m_cpaSFLIST_ITEMINFO.Add( pItem );

	pItem->dwType = dwType;
	pItem->pData = pData;

	LV_ITEM	lvi;
	lvi.mask = LVIF_TEXT | LVIF_IMAGE | LVIF_PARAM; 
	lvi.iItem = bIns ? 0 : nIndex; 
	lvi.iSubItem = 0; 
	lvi.iImage = iImage;
	lvi.pszText = LPSTR_TEXTCALLBACK; 
	lvi.lParam = (LPARAM)pItem;

	if( GetListCtrl().InsertItem( &lvi ) == -1 ) {
		return FALSE;
	}

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// ACeɊ֘Atꂽ

void CSFListView::FreeItemMemory()
{
	CMonLogDoc* pDoc = (CMonLogDoc *)GetDocument();
	if( !pDoc ) {
		return;
	}

	int nCount = m_cpaSFLIST_ITEMINFO.GetSize();

	Sleep( 20 );
	if( nCount ) {

		Sleep( min( 2000, nCount ) );

		GetListCtrl().DeleteAllItems();

		SFLIST_ITEMINFO*	pDel;

		for( int i = 0 ; i < m_cpaSFLIST_ITEMINFO.GetSize() ; i++ ) {
			pDel = (SFLIST_ITEMINFO*)m_cpaSFLIST_ITEMINFO.GetAt( i );
			delete pDel;
		}
		m_cpaSFLIST_ITEMINFO.RemoveAll();

		Sleep( min( 100, nCount / 10 ) );
	}
}

/////////////////////////////////////////////////////////////////////////////
// XgŉENbN

void CSFListView::OnRclick( NMHDR* pNMHDR, LRESULT* pResult ) 
{
	int	nHitItem;

	DWORD	dwPos = ::GetMessagePos();
	CPoint	point_t( (int)LOWORD(dwPos), (int)HIWORD(dwPos) );
	GetListCtrl().ScreenToClient( &point_t );

	if( ( nHitItem = GetListCtrl().HitTest( point_t ) ) != -1 ) {

		SFLIST_ITEMINFO	*pItem = (SFLIST_ITEMINFO *)GetListCtrl().GetItemData( nHitItem );

		if( pItem ) {

			if( ( pItem->dwType == SFLIST_QUE ) ||
				( pItem->dwType == SFLIST_SEND ) ||

				( pItem->dwType == SFLIST_RECV ) ) {

				// |bvAbvj[\
				CreatePopupMenuIndex( point_t );

			}
		}
	}
	else {
	}

	*pResult = 0;
}

/////////////////////////////////////////////////////////////////////////////
// XgŃ_uNbN

void CSFListView::OnDBclick( NMHDR* pNMHDR, LRESULT* pResult ) 
{
	int	nHitItem;

	DWORD	dwPos = ::GetMessagePos();
	CPoint	point_t( (int)LOWORD(dwPos), (int)HIWORD(dwPos) );
	GetListCtrl().ScreenToClient( &point_t );

	if( ( nHitItem = GetListCtrl().HitTest( point_t ) ) != -1 ) {

		SFLIST_ITEMINFO	*pItem = (SFLIST_ITEMINFO *)GetListCtrl().GetItemData( nHitItem );

		if( pItem && pItem->pData ) {
			CString	csString;

			if( pItem->dwType == SFLIST_LOG ) {

				if( !lstrcmp( (char *)pItem->pData, "M" ) ) {
					csString = "O\\M";
				}
				else if( !lstrcmp( (char *)pItem->pData, "M" ) ) {

					csString = "O\\M";
				}
				else {
					csString = "O\\M";
				}

				((CMonLogDoc *)GetDocument())->GetTreeView()->OnSelectionChanged( csString, TRUE );
			}

			else if( ( pItem->dwType == SFLIST_QUE ) ||
					( pItem->dwType == SFLIST_SEND ) ||

					( pItem->dwType == SFLIST_RECV ) ) {

					RIDX_DATINFO	*pIdxRec;

					pIdxRec = (RIDX_DATINFO *)pItem->pData;

					m_pApp->CallSFViewer( pIdxRec->pFileName );
			}
		}
	}
	else {
	}

	*pResult = 0;
}

////////////////////////////////////////////////////////////////////////////////////
// NCAg̃|bvAbvj[̍쐬
//

BOOL CSFListView::CreatePopupMenuIndex( CPoint point )
{
	CMenu	rbMenu;
	CPoint	pointScreen;
	pointScreen = point;
	ClientToScreen( &pointScreen );	// XN[WɕύX
	rbMenu.CreatePopupMenu();		// |bvAbvj[̍쐬

	rbMenu.AppendMenu( MF_STRING | MF_BYPOSITION, ID_EDIT_DELETE, _T("폜(&D)") );
	rbMenu.AppendMenu( MF_SEPARATOR, 0, "" );
	rbMenu.AppendMenu( MF_STRING | MF_BYPOSITION, ID_TOOL_VIEW, _T("r[A(&V)") );

	// |bvAbvj[̕\	
	rbMenu.TrackPopupMenu( TPM_LEFTALIGN|TPM_RIGHTBUTTON, pointScreen.x, pointScreen.y, this, NULL );

	// |bvAbvj[̔j
	rbMenu.DestroyMenu();

	return TRUE;
}

////////////////////////////////////////////////////////////////////////////////////
// 

void CSFListView::OnToolView() 
{
	// TODO: ̈ʒuɃR}h nhp̃R[hǉĂ
	
	POSITION pos = GetListCtrl().GetFirstSelectedItemPosition();
	if( pos ) {
		int	nItem = GetListCtrl().GetNextSelectedItem( pos );

		SFLIST_ITEMINFO	*pItem = (SFLIST_ITEMINFO *)( GetListCtrl().GetItemData( nItem )) ;

		if( pItem && pItem->pData ) {

			RIDX_DATINFO	*pIdxRec;

			pIdxRec = (RIDX_DATINFO *)pItem->pData;

			m_pApp->CallSFViewer( pIdxRec->pFileName );
		}
	}
}

////////////////////////////////////////////////////////////////////////////////////
// 

void CSFListView::OnEditDelete() 
{
	CMainFrame*	pMain = (CMainFrame*)m_pApp->m_pMainWnd;

	if( pMain ) {
		pMain->OnEditDelete();
	}
}

////////////////////////////////////////////////////////////////////////////////////
// 

void CSFListView::OnOpeUpdate() 
{
	// TODO: ̈ʒuɃR}h nhp̃R[hǉĂ
	
	CMainFrame*	pMain = (CMainFrame*)m_pApp->m_pMainWnd;

	if( pMain ) {
		pMain->OnOpeUpdate();
	}
}
